Subject: [EAI] Re: I-D Action:draft-hansen-4468upd-mailesc-registry-03.txt

From: Tony Hansen <[email-masked]>
Date: Thu, 10 Jan 2008 12:43:20 -0500

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>
> 	Title           : A Registry for SMTP Enhanced Mail System
>			  Status Codes
> 	Author(s)       : T. Hansen, J. Klensin
> 	Filename        : draft-hansen-4468upd-mailesc-registry-03.txt
> 	Date            : 2008-01-10

Ok, so A Registry for SMTP Enhanced Mail System Status Codes,
draft-hansen-4468upd-mailesc-registry, has been updated.

This one represents a proper merger with
draft-klensin-smtp-code-registry, and (I think) addresses almost all of
the comments that have come out since -02.

As requested, it has added a typical Associated Basic Status Code entry
to the registration. It also has a table showing the typical Associated
Basic Status Code for many of the existing codes, seeded with those
found in RFCs 4468 and 4954. There are many holes in this table, though,
that need to be filled in. Please feel free to contribute to this table.

This version does not define X.8.Z. I was not convinced there was enough
of a consensus to add it.

Discussion should occur on [email-masked].

	Tony Hansen
	[email-masked]

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima

---

From: "Frank Ellermann" <[email-masked]>
Date: Wed, 30 Jan 2008 13:38:30 +0100

Tony Hansen wrote:
 
> A Registry for SMTP Enhanced Mail System Status Codes,

Hi, an editorial nit, it took me some minutes to see that
there is no X.5.1 in RFC 3886.  The current draft says:

|1. sections 3.1 through 3.8 of [RFC3463], (X.0.0, X.1.0 through
|   X.1.8, X.2.0 through X.2.4, X.3.0 through X.3.5, X.4.0 through
|   X.4.7,
|
|2. X.5.0 through X.5.5, X.6.0 through X.6.5, and X.7.0 through
|   X.7.7) section 3.3.4 of [RFC3886] (X.1.9),
|
|3. X.6.6 found in section 5 of [RFC4468],
[...]

It should say:

|1. sections 3.1 through 3.8 of [RFC3463], (X.0.0, X.1.0 through
|   X.1.8, X.2.0 through X.2.4, X.3.0 through X.3.5, X.4.0 through
|   X.4.7, X.5.0 through X.5.5, X.6.0 through X.6.5, and X.7.0
|   through X.7.7) 
|
|2. section 3.3.4 of [RFC3886] (X.1.9),
|
|3. X.6.6 found in section 5 of [RFC4468],
[...]

I checked Alexey's list of associated status codes with RFC 4408:

| X.3.0 --> 550, 554, 451
  451 (4.3.0) in http://tools.ietf.org/html/rfc4408#section-2.5.5

| X.4.3 --> 451, 550
  451 (4.4.3) in http://tools.ietf.org/html/rfc4408#section-2.5.6

| X.7.1 --> 550, 551, 451
  550 (5.7.1) in http://tools.ietf.org/html/rfc4408#section-2.5.4

| X.5.2 --> 500, 501, 502, 555
  550 (5.5.2) missing in RFC 4408 section 2.5.7, noted as erratum 
  http://www.openspf.org/RFC_4408/Errata#permerror-smtp-reply-code  

Alexey's table doesn't have 550 for 5.5.2, and trying to find out
what's wrong (if anything) I found in RFC 3463:

| X.5.2   Syntax error
|   A mail transaction protocol command was issued which could not
|   be interpreted, either because the syntax was wrong or the
|   command is unrecognized.  This is useful only as a permanent
|   error.

If a code (not only 5.5.2) makes only sense as permanent error the
registry could indicate this as 5?? instead of ???.

 Frank